
<div class="start">
<form [formGroup]="validationService.userForms" (ngSubmit)="SubmitData()">
    <mat-grid-list cols="2" rowHeight="2:1">
        <mat-grid-tile>
            <div class="form-group">     
                     <mat-form-field appearance="outline">
                    <mat-label class="text-light">projectname</mat-label>
                    <input type="text" formControlName="projectname" [(ngModel)]="userRegisterationMode.projectname" matInput placeholder="projectname..."  required>
                    <mat-error *ngIf="validationService.userForms.controls['projectname'].errors?.['required']">
                        This Field is Error 
                    </mat-error>
                    <mat-error *ngIf="validationService.userForms.controls['projectname'].errors?.['maxlength']">
                        Maximum 10 Character is required
                    </mat-error>
                </mat-form-field>  
            <div class="form-group">
                <mat-form-field appearance="outline">
                    <mat-label class="text-light">ip</mat-label>
                    <input type="text" formControlName="ip" [(ngModel)]="userRegisterationMode.ip" matInput placeholder="ip..." required>
                </mat-form-field>
            </div>
            </div>
                </mat-grid-tile>
        <mat-grid-tile>
            <div class="form-group mt-3"> 
                <mat-form-field appearance="outline">
                <mat-label class="text-light">port</mat-label>
                <input type="text" formControlName="port" [(ngModel)]="userRegisterationMode.port" matInput placeholder="port..." required>
            </mat-form-field>
            <div class="form-group ">
                <mat-form-field appearance="outline">
                    <mat-label class="text-light">address</mat-label>
                    <input type="text" formControlName="address" [(ngModel)]="userRegisterationMode.address" matInput placeholder="address..." required>
                </mat-form-field>
         </div>   
        </div>
        
      
        </mat-grid-tile> 
        
      </mat-grid-list>
      <div class="btngroup d-flex justify-content-center">
        <button type="submit" mat-flat-button color="primary" [disabled]="validationService.userForms.invalid" >save</button>
    </div>
    
</form>
</div>